/**
* Theme Name: Cinnabar
* Author: Museable
* Author URI: https://museable.com
* Description: Official child theme for Museable. Built on Twenty Twenty Five, this theme provides seamless integration and optimized styling for Museable functionality while maintaining full compatibility with WordPress's latest default theme.
* Version: 0.0.0
* Template: twentytwentyfive
* Text Domain: muse-cinnabar
* Tags: museable
**/
.wp-block-navigation {

    .wp-block-navigation-item {
        font-size: var(--wp--preset--font-size--subtitle1);
        font-weight: var(--wp--custom--font-weight--semibold);
        color: var(--wp--preset--color--accent-2);
        text-transform: uppercase;

        &.current-menu-item {
            color: var(--wp--preset--color--accent-1);
        }
    }
}


.wp-block-paragraph a, 
a {
     color: var(--wp--preset--color--black);
}

.wp-block-cover {

    &:has(span.has-base-background-color) {

        /* stylelint-disable-next-line */
        .wp-block-cover__inner-container {
            color: var(--wp--preset--color--contrast);
        }
    }

    &:not:has(span.has-base-background-color) {
        
        /* stylelint-disable-next-line */
        .wp-block-cover__inner-container {
            color: var(--wp--preset--color--base);
        }
    }
}

.has-small-font-size {

    p {
        font-size: inherit;
    }

    .wp-block-post-terms {
        font-size: inherit !important;
    }
}

/* stylelint-disable-next-line */
.wp-block-button__link {

    &:hover {
        opacity: 0.9;
    }
}

.wp-social-link {

    a {

        &:hover {
            color: var(--wp--preset--color--foreground) !important;
        }
    }
}

.wp-block-post-navigation-link {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: 300px;
    padding: 10px;
    flex-shrink: 0;
    border-radius: var(--wp--custom--border-radius--chamfer);
    border: 1px solid var(--wp--preset--color--muted);
    overflow: hidden;
    box-sizing: border-box;
    text-decoration: none;
    position: relative;

    /* stylelint-disable-next-line */
    .wp-block-post-navigation-link__arrow {
        display: flex;
        flex-direction: column;
        justify-content: center;
        color: var(--wp--preset--color--accent-2);
    }

    /* stylelint-disable-next-line */
    .wp-block-post-navigation-link__text {
        display: flex;
        flex-direction: column;
        justify-content: center;

        /* stylelint-disable-next-line */
        .post-navigation-link__label {
            font-size: var(--wp--preset--font-size--tiny);
            font-weight: var(--wp--custom--font-weight--medium);
            color: var(--wp--preset--color--accent-2);
            letter-spacing: 0.12px;
            line-height: normal;
            font-style: normal;
        }

        /* stylelint-disable-next-line */
        .post-navigation-link__title {
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 1;
            align-self: stretch;
            overflow: hidden;
            text-overflow: ellipsis;
            font-size: var(--wp--preset--font-size--medium);
            font-weight: var(--wp--custom--font-weight--bold);
            color: var(--wp--preset--color--accent-2);
            word-break: break-all;
        }
    }

    &.post-navigation-link-previous {
        justify-content: flex-start;

        /* stylelint-disable-next-line */
        .wp-block-post-navigation-link__text {
            align-items: flex-start;
        }

        &:hover {

            &::after {
                content: "";
                width: 3px;
                height: 32px;
                position: absolute;
                right: 0;
                display: flex;
                background-color: var(--wp--preset--color--accent-2);
            }
        }
    }

    &.post-navigation-link-next {
        justify-content: flex-end;

        /* stylelint-disable-next-line */
        .wp-block-post-navigation-link__text {
            align-items: flex-end;
        }

         &:hover {

            &::before {
                content: "";
                width: 3px;
                height: 32px;
                position: absolute;
                left: 0;
                display: flex;
                background-color: var(--wp--preset--color--accent-2);
            }
        }
    }

    &:hover {
        background-color: var(--wp--preset--color--gray);

        /* stylelint-disable-next-line */
        .wp-block-post-navigation-link__arrow {

            svg {
                color: var(--wp--preset--color--accent-2);
            }
        }
    }

    &:focus {
        outline-offset: 0;
        outline-width: 2px;
        outline-style: solid;
        outline-color: -webkit-focus-ring-color;
    }

    &.disabled {
        background-color: var(--wp--preset--color--muted);
        pointer-events: none;
        cursor: not-allowed;

        span {
            color: var(--wp--preset--color--muted);
        }

        /* stylelint-disable-next-line */
        .wp-block-post-navigation-link__text {
            
            /* stylelint-disable-next-line */
            .post-navigation-link__label, .post-navigation-link__title {
                color: var(--wp--preset--color--muted);
            }
        }
    }
}

.wp-block-search {
    display: flex;
    flex-direction: column;
    gap: 8px;
    justify-content: center;
    align-items: flex-start;

    /* stylelint-disable-next-line */
    .wp-block-search__label {
        font-weight: var(--wp--custom--font-weight--regular);
        font-size: var(--wp--preset--font-size--small);
        font-style: normal;
        line-height: normal;
        color: var(--wp--preset--color--black);

        .required {
            color: var(--wp--preset--color--alert-red );
            margin-left: 4px;
        }
    }

    /* stylelint-disable-next-line */
    .wp-block-search__inside-wrapper {
        width: 100%;
        gap: 8px;
        display: flex;
        flex: 1 0 0;
        align-self: stretch;

        /* stylelint-disable-next-line */
        .wp-block-search__input {
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            gap: 10px;
            flex: 1 0 0;
            align-self: stretch;
            border-radius: var(--wp--custom--border-radius--chamfer);
            border: 1px solid var(--wp--preset--color--gray);
            background-color: var(--wp--preset--color--background);
            padding: 8px;
            font-size: var(--wp--preset--font-size--h-5);
            font-weight: var(--wp--custom--font-weight--semibold);
            line-height: normal;
            font-style: normal;
            letter-spacing: -0.115px;
            color: var(--wp--preset--color--foreground);
            font-family: var(--wp--preset--font-family--heading);
        }

        /* stylelint-disable-next-line */
        .wp-block-search__button {
            display: flex;
            padding: 8px 22px;
            justify-content: center;
            align-items: center;
            gap: 8px;
            align-self: stretch;
            border-radius: var(--wp--custom--border-radius--chamfer);
            background-color: var(--wp--preset--color--accent-1);
            color: var(--wp--preset--color--white);
            margin-left: 0;
            font-family: var(--wp--preset--font-family--body);
            font-size: var(--wp--preset--font-size--button);
            text-transform: uppercase;
        }
    }

    /* stylelint-disable-next-line */
    &.wp-block-search__icon-button {

        /* stylelint-disable-next-line */
        .wp-block-search__inside-wrapper {

            /* stylelint-disable-next-line */
            .wp-block-search__button {
                width: 40px;
            }
        }

    }

    /* stylelint-disable-next-line */
    &.wp-block-search__button-inside {

        /* stylelint-disable-next-line */
        .wp-block-search__inside-wrapper  {
            gap: 8px;
            padding: 8px;
            border-radius: var(--wp--custom--border-radius--chamfer);
            border: 1px solid var(--wp--preset--color--gray);
            background-color: var(--wp--preset--color--background);

            /* stylelint-disable-next-line */
            .wp-block-search__input {
                border: none;
                padding: 0;
            }

            /* stylelint-disable-next-line */
            .wp-block-search__button {
                height: 30px;
            }
        }
    }

    /* stylelint-disable-next-line */
    &.wp-block-search__button-only {

        /* stylelint-disable-next-line */
        &.wp-block-search__searchfield-hidden {

            /* stylelint-disable-next-line */
            .wp-block-search__inside-wrapper  {
                overflow: visible;
            }
        }
    }
}

/** Social Links block **/
.wp-block-social-links {

    .wp-social-link {
        background-color: transparent;

        a { 
            color: var(--wp--preset--color--black);

            &:hover {
                color: var(--wp--preset--color--gray) !important;
            }
        }
    }
}

.wp-block-social-links .wp-block-social-link.wp-social-link {
    color: var(--wp--preset--color--black);
}

/** Categories Block Styles **/
.wp-block-categories {

    &.wp-block-categories-dropdown {

        select {
            padding: 5px;
            gap:4px;
            height: 34px;
            font-family: var(--wp--preset--font-family--body);
            font-size: var(--wp--preset--font-size--menu-item);
            font-weight: 400;
            line-height: normal;
            font-style: normal;
            color: var(--wp--preset--color--black);
            border-radius: var(--wp--custom--border-radius--chamfer);
            background-color: var(--wp--preset--color--background);
            box-shadow: 0 0 12px 0 rgba(0, 0, 0, 0.25);

            option {
                background-color: var(--wp--preset--color--background, #f2f1ee);
                color: var(--wp--preset--color--black, #1e1e1e);

                &:hover, &:active {
                    background-color: var(--wp--preset--color--foreground, #f5f5f5);
                }
            }
        }
    }

    &.wp-block-categories-list {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 16px;

        li {
            font-family: var(--wp--preset--font-family--heading);
            font-size: var(--wp--preset--font-size--link);
            font-style: normal;
            font-weight: var(--wp--custom--font-weight--regular);
            line-height: normal;
            text-transform: capitalize;

            /* stylelint-disable-next-line */
            a {
                color: var(--wp--preset--color--black);

                &:hover {
                    color: var(--wp--preset--color--black);
                }
            }

            ul {
                
                &.children {
                    padding-top: 16px;
                    padding-bottom: 16px;

                    &:last-child {
                        padding-bottom: 0;
                    }
                }

                ul {

                    ul {

                        li {
                            list-style: disc;
                        }

                        ul {
                            
                            li {
                                list-style: circle;
                            }

                            ul {

                                li {
                                    list-style: square;
                                }

                                ul {

                                    li {
                                        list-style: disc;
                                    }

                                    ul {
                                        
                                        li {
                                            list-style: circle;
                                        }

                                        ul {

                                            li {
                                                list-style: square;
                                            }

                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

.wp-block-quote {
    border: none !important;
    padding: 0;

    &:not(.is-style-default):not(.is-style-plain),&.is-style-default {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 15px;
        color: var(--wp--preset--color--black);
        max-width: 525px;

        &::before {
            content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="28" height="22" viewBox="0 0 28 22" fill="none"><path d="M6.57059 10.0205C6.44911 10.0205 6.3329 10.0257 6.21142 10.031C6.21142 10.031 6.19557 10.031 6.16916 10.0363C5.75188 10.068 5.34517 10.142 4.95431 10.2529C4.62682 10.3374 4.29406 10.4589 4.03524 10.612C4.03524 10.612 4.02996 10.612 4.02996 10.6173C3.98242 10.6437 3.93488 10.6701 3.88206 10.6966C3.17956 11.0188 2.6408 10.5381 3.24823 8.67356C3.82396 6.9041 5.67794 3.12748 8.06539 0.576281C8.30836 0.317464 8.03898 -0.0998124 7.70094 0.0216732C5.88922 0.671357 2.65136 2.40913 1.06677 6.8143C-1.20449 13.1316 0.559697 19.0843 2.56157 20.3573C2.56157 20.3573 2.56685 20.3573 2.56685 20.3626C3.61268 21.3767 5.01769 22 6.56531 22C9.78204 22 12.3913 19.3168 12.3913 16.0102C12.3913 12.7037 9.78732 10.0205 6.57059 10.0205Z" fill="%236D6767"/><path d="M22.1682 10.0205C22.0467 10.0205 21.9305 10.0257 21.809 10.031C21.809 10.031 21.7931 10.031 21.7667 10.0363C21.3494 10.068 20.9427 10.142 20.5519 10.2529C20.2244 10.3374 19.8916 10.4589 19.6328 10.612C19.6328 10.612 19.6275 10.612 19.6275 10.6173C19.58 10.6437 19.5324 10.6701 19.4796 10.6966C18.7771 11.0188 18.2384 10.5381 18.8458 8.67356C19.4215 6.9041 21.2755 3.12748 23.663 0.576281C23.9059 0.317464 23.6365 -0.0998124 23.2985 0.0216732C21.4868 0.671357 18.2489 2.40913 16.6643 6.8143C14.3878 13.1263 16.1573 19.0791 18.1591 20.3573C18.1591 20.3573 18.1644 20.3573 18.1644 20.3626C19.2102 21.3767 20.6153 22 22.1629 22C25.3796 22 27.9889 19.3168 27.9889 16.0102C27.9889 12.7037 25.3902 10.0205 22.1682 10.0205Z" fill="%236D6767"/></svg>');
            height: 22px;
            align-self: flex-start;
        }

        &::after {
            content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="28" height="22" viewBox="0 0 28 22" fill="none"><path d="M21.4294 11.9795C21.5509 11.9795 21.6671 11.9743 21.7886 11.969C21.7886 11.969 21.8044 11.969 21.8308 11.9637C22.2481 11.932 22.6548 11.858 23.0457 11.7471C23.3732 11.6626 23.7059 11.5411 23.9648 11.388C23.9648 11.388 23.97 11.388 23.97 11.3827C24.0176 11.3563 24.0651 11.3298 24.1179 11.3034C24.8204 10.9812 25.3592 11.4619 24.7518 13.3264C24.176 15.0959 22.3221 18.8725 19.9346 21.4237C19.6916 21.6825 19.961 22.0998 20.2991 21.9783C22.1108 21.3286 25.3486 19.5909 26.9332 15.1857C29.2045 8.86845 27.4403 2.91565 25.4384 1.6427C25.4384 1.6427 25.4332 1.6427 25.4332 1.63741C24.3873 0.623274 22.9823 -4.3866e-07 21.4347 -5.73958e-07C18.218 -8.55173e-07 15.6087 2.68325 15.6087 5.98977C15.6087 9.29629 18.2127 11.9795 21.4294 11.9795Z" fill="%236D6767"/><path d="M5.83185 11.9795C5.95333 11.9795 6.06954 11.9743 6.19102 11.969C6.19102 11.969 6.20687 11.969 6.23328 11.9637C6.65055 11.932 7.05727 11.858 7.44813 11.7471C7.77562 11.6626 8.10838 11.5411 8.3672 11.388C8.3672 11.388 8.37248 11.388 8.37248 11.3827C8.42002 11.3563 8.46756 11.3298 8.52038 11.3034C9.22288 10.9812 9.76164 11.4619 9.15421 13.3264C8.57848 15.0959 6.7245 18.8725 4.33705 21.4237C4.09407 21.6825 4.36345 22.0998 4.7015 21.9783C6.51322 21.3286 9.75108 19.5909 11.3357 15.1857C13.6122 8.87373 11.8427 2.92094 9.84087 1.6427C9.84087 1.6427 9.83559 1.6427 9.83559 1.63741C8.78976 0.623274 7.38475 -4.38866e-07 5.83713 -5.74163e-07C2.6204 -8.55378e-07 0.0111025 2.68325 0.0111022 5.98977C0.0111019 9.29629 2.60984 11.9795 5.83185 11.9795Z" fill="%236D6767"/></svg>');
            height: 22px;
            align-self: flex-end;
        }

        /* stylelint-disable-next-line */
        p {
            font-family: var(--wp--preset--font-family--heading);
            font-size: var(--wp--preset--font-size--h-6);
            font-weight: var(--wp--custom--font-weight--semibold);
            font-style: normal;
            line-height: normal;
            letter-spacing: -0.11px;
        }

        /* stylelint-disable-next-line */
        cite {
            margin-top: 0;
            display: flex !important;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            gap: 10px;
            align-self: stretch;
            color: var(--wp--preset--color--black);
            font-family: var(--wp--preset--font-family--heading);
            font-size: var(--wp--preset--font-size--body-2);
            font-style: normal;
            font-weight: var(--wp--custom--font-weight--regular);
            line-height: 1.5;
            letter-spacing: -0.08px;

            /* stylelint-disable-next-line */
            img {
                border-radius: 100px;
                width: 40px !important;
                height: 40px !important;
            }
        }
    }

    &.is-style-plain {
        display: flex;
        padding: 25px 50px;
        flex-direction: column;
        align-items: center;
        gap: 15px;
        background-color: var(--wp--preset--color--background);
        position: relative;
        max-width: 455px;

        /* stylelint-disable-next-line */
        p {
            font-family: var(--wp--preset--font-family--body);
            font-size: var(--wp--preset--font-size--eyebrow);
            font-weight: var(--wp--custom--font-weight--semibold);
            font-style: normal;
            line-height: 1.2;
            color: var(--wp--preset--color--black);

            &::before {
                content: "“";
            }

            &::after {
                content: "”";
            }
        }

        /* stylelint-disable-next-line */
        cite {
            width: 100%;
            margin-top: 0;
            color: var(--wp--preset--color--black);
            font-family: var(--wp--preset--font-family--body);
            font-size: var(--wp--preset--font-size--input-label);
            font-style: normal;
            font-weight: var(--wp--custom--font-weight--regular);
            line-height: normal;

            /* stylelint-disable-next-line */
            img {
                position: absolute;
                width: 100px !important;
                height: 100px !important;
                left: 0;
                bottom: 0;
                border-radius: var(--wp--custom--border-radius--chamfer);
                transform: translate(-60px, 60px);
            }
        }
    }
}

/** Page Break Block Styles **/
.post-nav-links {
    font-family: var(--wp--preset--font-family--body);
    font-size: var(--wp--preset--font-size--chips);
    font-style: normal;
    font-weight: var(--wp--custom--font-weight--regular);
    line-height: normal;
    color: var(--wp--preset--color--black);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    flex-wrap: wrap;
    gap: 5px;

    /* stylelint-disable-next-line */
    a {
        padding: 8px 12px;
        border-radius: var(--wp--custom--border-radius--round);
        color: var(--wp--preset--color--black);
        text-decoration: none;
        font-size: var(--wp--preset--font-size--button);
        font-weight: var(--wp--custom--font-weight--semibold);
        text-transform: uppercase;

        &.post-page-numbers {

            &:first-child {
                margin-left: 10px;
            }
        }
    }

    span {

        &.post-page-numbers {

            &:first-child {
                margin-left: 10px;
            }

            &.current {
                display: flex;
                justify-content: center;
                align-items: center;
                border-radius: var(--wp--custom--border-radius--round);
                background-color: var(--wp--preset--color--accent-2);
                padding: 8px 12px;
                color: var(--wp--preset--color--white);
                font-size: var(--wp--preset--font-size--button);
                font-weight: var(--wp--custom--font-weight--semibold);
                text-transform: uppercase;
            }
        }
    }
}

/** Pull Quote block Styles **/
.wp-block-pullquote {
    display: flex;
    padding: 50px;
    align-items: center;
    border-radius: var(--wp--custom--border-radius--chamfer);
    background-color: var(--wp--preset--color--accent-2);
    flex-direction: column;

    blockquote {
        margin: 0;
        text-align: center;
        font-style: normal;
        display: flex;
        flex-direction: column;
        gap: 15px;

        /* stylelint-disable-next-line */
        p {
            color: var(--wp--preset--color--white);
            font-family: var(--wp--preset--font-family--body);
            font-size: var(--wp--preset--font-size--eyebrow);
            font-weight: var(--wp--custom--font-weight--semibold);
            line-height: 1.2;
            margin-bottom: 0;
        }

        /* stylelint-disable-next-line */
        cite {
            color: var(--wp--preset--color--white);
            font-family: var(--wp--preset--font-family--body);
            font-size: var(--wp--preset--font-size--caption);
            font-weight: var(--wp--custom--font-weight--semibold);
            line-height: 1.3;
        }
    }
}

.wp-block-archives {

    &.wp-block-archives-list {

        /* stylelint-disable-next-line */
        li {
            margin-bottom: 16px;
        }
    }

    &.wp-block-archives-dropdown {

        select {
            border-radius: var(--wp--custom--border-radius--chamfer);
            border: 1px solid var(--wp--preset--color--gray);
            padding: 8px 10px;
            font-family: var(--wp--preset--font-family--body);
            font-size: var(--wp--preset--font-size--caption);
            font-style: normal;
            line-height: 1.3;
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            padding-right: 2rem;
            background: url('data:image/svg+xml,<svg width="20" height="20" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M6.175 7.158 10 10.975l3.825-3.817L15 8.333l-5 5-5-5 1.175-1.175Z" fill="%23313131"/></svg>') var(--wp--preset--color--surface-ebb) no-repeat right 0.35rem center;
            color: var(--wp--preset--color--gray);

            &:hover {
                border: 1px solid var(--wp--preset--color--gray);
            }

            &:active {
                border: 1px solid var(--wp--preset--color--accent-1);
            }

            &:focus:not(:focus-visible), &.no-focus-style:focus-visible {
                outline: none;
            }

            /* stylelint-disable-next-line */
            &:focus-visible {
                outline: 3px solid -webkit-focus-ring-color;
            }

            /* stylelint-disable-next-line */
            &:disabled {
                background-color: var(--wp--preset--color--muted);
                pointer-events: none;
                color: var(--wp--preset--color--gray);
            }
        }
    }
}

/** File Download Button Styles **/
.wp-block-file {
    display: flex;
    align-items: center;

    /* stylelint-disable-next-line */
    a {
        color: var(--wp--preset--color--accent-1);
        font-family: var(--wp--preset--font-family--heading);
        font-size: var(--wp--preset--font-size--link);
        font-style: normal;
        font-weight: var(--wp--custom--font-weight--regular);
        line-height: normal;
        text-transform: capitalize;
        text-decoration-thickness: 0.5px !important;
    }

    /* stylelint-disable-next-line */
    .wp-block-file__button {
        display: flex;
        padding: 8px 22px; 
        justify-content: center;
        align-items: center;
        gap: 8px;
        align-self: stretch;
        border-radius: var(--wp--custom--border-radius--chamfer);
        background-color: var(--wp--preset--color--accent-1);
        color: var(--wp--preset--color--white);
        font-family: var(--wp--preset--font-family--body);
        font-size: var(--wp--preset--font-size--link);
        font-style: normal;
        font-weight: var(--wp--custom--font-weight--semibold);
        line-height: normal;
        text-transform: uppercase;
        text-decoration: none;
        margin-left: 15px;
    }
}

@media screen and (max-width: 767px) {

    nav {

        &.wp-block-group {

            &:has(a.wp-block-post-navigation-link) {
                flex-direction: column;
                justify-content: center;
            }
        }
    }

    .wp-block-search {

        /* stylelint-disable-next-line */
        .wp-block-search__inside-wrapper {
            flex-direction: column;
        }

        /* stylelint-disable-next-line */
        &.wp-block-search__icon-button {

            /* stylelint-disable-next-line */
            .wp-block-search__inside-wrapper {

                /* stylelint-disable-next-line */
                .wp-block-search__button {
                    width: 100%;
                }
            }
        }

        /* stylelint-disable-next-line */
        &.wp-block-search__button-only {

            /* stylelint-disable-next-line */
            &.wp-block-search__searchfield-hidden {

                /* stylelint-disable-next-line */
                .wp-block-search__inside-wrapper  {
                    overflow: visible;

                    /* stylelint-disable-next-line */
                    .wp-block-search__input {
                        overflow: hidden;
                        min-height: 0;
                        transition-property: height;
                        height: 0;
                    }
                }
            }
        }
    }


    .wp-muse-quote-wrapper {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;

        .wp-block-quote {

            &.is-style-default {
                max-width: 100%;
                width: 100%;
            }

            &.is-style-plain {
                max-width: 100%;
                width: 100%;

                &:has(cite img) {
                    max-width: calc(100% - 50px);
                }

                margin-left: 0 !important;
                margin-right: 0 !important;

                img {
                    width: 82px !important;
                    height: 82px !important;
                    transform: translate(-50px, 50px);
                }
            }
        }
    }
}

/** Verse Block Styles **/
.wp-muse-verse-wrapper {
    display: flex;
    padding: var(--wp--preset--spacing--30);
    flex-direction: column;
    align-items: flex-start;
    flex: 1 0 0;
    position: relative;
    background-color: var(--wp--preset--color--gray);

    .wp-block-verse {
        display: flex;
        justify-content: flex-start;
        align-items: center;
        gap: 10px;
        align-self: stretch;
        color: var(--wp--preset--color--black);
        font-family: var(--wp--preset--font-family--heading);
        font-size: var(--wp--preset--font-size--body-2);
        font-style: normal;
        font-weight: var(--wp--custom--font-weight--regular);
        line-height: 1.5;
        letter-spacing: -0.08px;
        margin: 0;
        position: relative;
        padding-left: 20px;

        &::before {
            content: "";
            width: 5px;
            background-color: var(--wp--preset--color--accent-2);
            align-self: stretch;
            display: flex;
            align-items: center;
            position: absolute;
            flex-direction: column;
            left: 0;
            flex-grow: 1;
            height: 100%;
        }
    }
}

@media (prefers-color-scheme: dark) {

    .wp-block-post-navigation-link {

        &:hover {
            background-color: var(--wp--preset--color--gray);
        }
    }

    .wp-block-quote {

        &.is-style-default {

             &::before {
                content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="28" height="22" viewBox="0 0 28 22" fill="none"><path d="M6.57059 10.0205C6.44911 10.0205 6.3329 10.0257 6.21142 10.031C6.21142 10.031 6.19557 10.031 6.16916 10.0363C5.75188 10.068 5.34517 10.142 4.95431 10.2529C4.62682 10.3374 4.29406 10.4589 4.03524 10.612C4.03524 10.612 4.02996 10.612 4.02996 10.6173C3.98242 10.6437 3.93488 10.6701 3.88206 10.6966C3.17956 11.0188 2.6408 10.5381 3.24823 8.67356C3.82396 6.9041 5.67794 3.12748 8.06539 0.576281C8.30836 0.317464 8.03898 -0.0998124 7.70094 0.0216732C5.88922 0.671357 2.65136 2.40913 1.06677 6.8143C-1.20449 13.1316 0.559697 19.0843 2.56157 20.3573C2.56157 20.3573 2.56685 20.3573 2.56685 20.3626C3.61268 21.3767 5.01769 22 6.56531 22C9.78204 22 12.3913 19.3168 12.3913 16.0102C12.3913 12.7037 9.78732 10.0205 6.57059 10.0205Z" fill="%239F9898"/><path d="M22.1682 10.0205C22.0467 10.0205 21.9305 10.0257 21.809 10.031C21.809 10.031 21.7931 10.031 21.7667 10.0363C21.3494 10.068 20.9427 10.142 20.5519 10.2529C20.2244 10.3374 19.8916 10.4589 19.6328 10.612C19.6328 10.612 19.6275 10.612 19.6275 10.6173C19.58 10.6437 19.5324 10.6701 19.4796 10.6966C18.7771 11.0188 18.2384 10.5381 18.8458 8.67356C19.4215 6.9041 21.2755 3.12748 23.663 0.576281C23.9059 0.317464 23.6365 -0.0998124 23.2985 0.0216732C21.4868 0.671357 18.2489 2.40913 16.6643 6.8143C14.3878 13.1263 16.1573 19.0791 18.1591 20.3573C18.1591 20.3573 18.1644 20.3573 18.1644 20.3626C19.2102 21.3767 20.6153 22 22.1629 22C25.3796 22 27.9889 19.3168 27.9889 16.0102C27.9889 12.7037 25.3902 10.0205 22.1682 10.0205Z" fill="%239F9898"/></svg>');
            }

            &::after {
                content: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="28" height="22" viewBox="0 0 28 22" fill="none"><path d="M21.4294 11.9795C21.5509 11.9795 21.6671 11.9743 21.7886 11.969C21.7886 11.969 21.8044 11.969 21.8308 11.9637C22.2481 11.932 22.6548 11.858 23.0457 11.7471C23.3732 11.6626 23.7059 11.5411 23.9648 11.388C23.9648 11.388 23.97 11.388 23.97 11.3827C24.0176 11.3563 24.0651 11.3298 24.1179 11.3034C24.8204 10.9812 25.3592 11.4619 24.7518 13.3264C24.176 15.0959 22.3221 18.8725 19.9346 21.4237C19.6916 21.6825 19.961 22.0998 20.2991 21.9783C22.1108 21.3286 25.3486 19.5909 26.9332 15.1857C29.2045 8.86845 27.4403 2.91565 25.4384 1.6427C25.4384 1.6427 25.4332 1.6427 25.4332 1.63741C24.3873 0.623274 22.9823 -4.3866e-07 21.4347 -5.73958e-07C18.218 -8.55173e-07 15.6087 2.68325 15.6087 5.98977C15.6087 9.29629 18.2127 11.9795 21.4294 11.9795Z" fill="%239F9898"/><path d="M5.83185 11.9795C5.95333 11.9795 6.06954 11.9743 6.19102 11.969C6.19102 11.969 6.20687 11.969 6.23328 11.9637C6.65055 11.932 7.05727 11.858 7.44813 11.7471C7.77562 11.6626 8.10838 11.5411 8.3672 11.388C8.3672 11.388 8.37248 11.388 8.37248 11.3827C8.42002 11.3563 8.46756 11.3298 8.52038 11.3034C9.22288 10.9812 9.76164 11.4619 9.15421 13.3264C8.57848 15.0959 6.7245 18.8725 4.33705 21.4237C4.09407 21.6825 4.36345 22.0998 4.7015 21.9783C6.51322 21.3286 9.75108 19.5909 11.3357 15.1857C13.6122 8.87373 11.8427 2.92094 9.84087 1.6427C9.84087 1.6427 9.83559 1.6427 9.83559 1.63741C8.78976 0.623274 7.38475 -4.38866e-07 5.83713 -5.74163e-07C2.6204 -8.55378e-07 0.0111025 2.68325 0.0111022 5.98977C0.0111019 9.29629 2.60984 11.9795 5.83185 11.9795Z" fill="%239F9898"/></svg>');
            }
        }
    }

    /** Pull Quote block Styles **/
    .wp-block-pullquote {
        background-color: var(--wp--preset--color--accent-2);

        blockquote {

            cite {
                color: var(--wp--preset--color--white);
            }
        }
    }
}